Name: crtools	
Version: 0.2	
Release: 2%{?dist}
Summary: Checkpoint/Restore in User-space
Group: System Environment/Base
License: GPLv2
URL: http://criu.org/
Source0: http://download.openvz.org/criu/crtools-0.2.tar.bz2

BuildRequires: protobuf-c-devel asciidoc xmlto

# user-space and kernel changes are only available for x86_64
# code is very architecture specific
ExclusiveArch: x86_64

%description
crtools is the user-space part of CRIU, a project to implement
checkpoint/restore functionality for Linux in user-space. 


%prep
%setup -q


%build
# %{?_smp_mflags} does not work
# build fails with WERROR=1 due to one compiler warning
# -fstack-protector breaks build
CFLAGS+=`echo %{optflags} | sed -e 's,-fstack-protector,,g'` make V=1 WERROR=0
make -C Documentation


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 Documentation/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%doc README COPYING

%changelog
* Tue Aug 21 2012 Adrian Reber <adrian@lisas.de> - 0.2-2
- remove macros like %%{__mkdir_p} and %%{__install}
- add comment why it is only x86_64

* Tue Aug 21 2012 Adrian Reber <adrian@lisas.de> - 0.2-1
- initial release
